# Waitlist Processes

Waitlist Processes

 - [GET /waitlistProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlist-processes/listwaitlistprocesses.md): This method will scan all waitlist processes and and return them to the caller.
 - [POST /waitlistProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlist-processes/createwaitlistprocess.md): This method will auto-generate an ID and create a new waitlist process. If an ID is specified for the waitlist process, an error will be thrown.
 - [POST /waitlistProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlist-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /waitlistProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlist-processes/deletewaitlistprocess.md): This method will delete a waitlist process with the specified ID.
 - [GET /waitlistProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlist-processes/getwaitlistprocess.md): This method will look up a waitlist process by the specified ID and return it back.
 - [PATCH /waitlistProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlist-processes/patchwaitlistprocess.md): This method will patch an existing waitlist process with the specified ID, using the HTTP PATCH specification.
 - [PUT /waitlistProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/waitlist-processes/updatewaitlistprocess.md): This method will update an existing waitlist process with the specified ID.
